%define upstream_name    Device-Modem
%define upstream_version 1.56

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Interface modems and other AT based devices
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Device/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Device::SerialPort)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
'Device::Modem' class implements basic *AT (Hayes) compliant* device
abstraction. It can be inherited by sub classes (as 'Device::Gsm'), which
are based on serial connections.

Things 'Device::Modem' can do
    * *

      connect to a modem on your serial port

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.560.0-3.mga4
+ Revision: 510869
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.560.0-2.mga3
+ Revision: 365888
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 27 2011 kharec <kharec> 1.560.0-1.mga2
+ Revision: 173045
- imported package perl-Device-Modem


* Sun Nov 27 2011 cpan2dist 1.56-1mga
- initial mageia release, generated with cpan2dist
